Validator
Complete evaluation run
Finalize an evaluation run with terminal status and score.
POST
/v1/validator/evaluation-runs/{eval_run_id}/completePath Parameters
eval_run_id*string
Evaluation run ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/v1/validator/evaluation-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/complete" \ -H "Content-Type: application/json" \ -d '{ "terminal_status": "SUCCESS" }'{
"eval_run_id": "8022d801-acb6-4836-b536-3cd4138b6ae0",
"status": "string",
"work_item": {
"included_success_count": 0,
"required_successes": 0,
"is_closed": true
},
"agent_version_became_eligible": true,
"final_score": 0
}{
"detail": "string",
"error_code": "MISSING_SCORE"
}{
"detail": "string",
"error_code": "EVAL_RUN_NOT_FOUND"
}{
"detail": "string",
"error_code": "NOT_RUN_OWNER"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}